KYLIN-SYSINFO(1)

NAME
kylin-sysinfo - System version information display tool

SYNOPSIS
kylin-sysinfo <option> --<target>

DESCRIPTION
kylin-sysinfo is a command-line tool used to display system version related information. It can display various system version information including product line, major version number, minor version number, version alias, serial number, and customization information.

OPTIONS

  Command Options

version
    Specify to query system version information (currently the only supported option)

  Target Parameters

--production
    Display system product line information

--major
    Display system major version number

--minor
    Display system minor version number

--alias
    Display system version alias

--serial
    Display system serial name

--customization
    Display system customization version information

--all
    Display all system version information

--help
    Display help information

EXAMPLES
# Display system major version number
kylin-sysinfo version --major

# Display all system version information
kylin-sysinfo version --all

# Display help information
kylin-sysinfo --help

AUTHOR
KylinSoft Co., Ltd.

COPYRIGHT
Copyright (C) 2024-2025, KylinSoft Co., Ltd.

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

SEE ALSO
lsb_release(1)